Package org.apache.solr.client.solrj.response

# Class Cluster

java.lang.Object
org.apache.solr.client.solrj.response.Cluster

public class Cluster extends Object
This class represents a cluster of Solr Docs . The cluster is produced from a set of Solr documents from the results. It is a direct mapping for the Json object Solr is returning.

## Constructor Summary

Constructors
Constructor
Description
`Cluster(List<String> labels, double score, List<String> docIds)`
`Cluster(List<String> labels, double score, List<String> docIds, List<Cluster> subclusters, boolean otherTopics)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`List<Cluster>`
`getClusters()`
`List<String>`
`getDocs()`
`List<String>`
`getLabels()`
`double`
`getScore()`
`int`
`hashCode()`
`boolean`
`isOtherTopics()`
`void`
`setDocs(List<String> docIds)`
`void`
`setLabels(List<String> labels)`
`void`
`setScore(double score)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Cluster

public Cluster(List<String> labels, double score, List<String> docIds)

### Cluster

public Cluster(List<String> labels, double score, List<String> docIds, List<Cluster> subclusters, boolean otherTopics)

Parameters:
  `labels` - the list of human-readable labels associated to the cluster
  `score` - the score produced by the clustering algorithm for the current cluster
  `docIds` - the list of document Ids belonging to the cluster

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getLabels

public List<String> getLabels()

### setLabels

public void setLabels(List<String> labels)

### getScore

public double getScore()

### setScore

public void setScore(double score)

### getDocs

public List<String> getDocs()

### setDocs

public void setDocs(List<String> docIds)

### getClusters

public List<Cluster> getClusters()

### isOtherTopics

public boolean isOtherTopics()

Returns:
  If `true`, the cluster contains references to documents that are not semantically associated and form a group of documents not related to any other cluster (or themselves).